##### basic_socket_acceptor::set_option (1 of 2 overloads)

Set an option on the acceptor.

    template<
        typename SettableSocketOption>
    void set_option(
        const SettableSocketOption & option);

This function is used to set an option on the acceptor.

###### Parameters

option

  The new option value to be set on the acceptor.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

Setting the SOL_SOCKET/SO_REUSEADDR option:

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::ip::tcp::acceptor::reuse_address option(true);
    acceptor.set_option(option);